#-- start of make_header -----------------

#====================================
#  Document install_img
#
#   Generated Fri Nov 28 14:39:17 2014  by ejansen
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_install_img_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_install_img_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_install_img

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_install_img = $(AtlantisJava_tag)_install_img.make
cmt_local_tagfile_install_img = $(bin)$(AtlantisJava_tag)_install_img.make

else

tags      = $(tag),$(CMTEXTRATAGS)

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_install_img = $(AtlantisJava_tag).make
cmt_local_tagfile_install_img = $(bin)$(AtlantisJava_tag).make

endif

include $(cmt_local_tagfile_install_img)
#-include $(cmt_local_tagfile_install_img)

ifdef cmt_install_img_has_target_tag

cmt_final_setup_install_img = $(bin)setup_install_img.make
#cmt_final_setup_install_img = $(bin)AtlantisJava_install_imgsetup.make
cmt_local_install_img_makefile = $(bin)install_img.make

else

cmt_final_setup_install_img = $(bin)setup.make
#cmt_final_setup_install_img = $(bin)AtlantisJavasetup.make
cmt_local_install_img_makefile = $(bin)install_img.make

endif

cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)AtlantisJavasetup.make

#install_img :: ;

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	$(echo) 'install_img'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = install_img/
#install_img::
#	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

ifdef use_requirements
$(use_requirements) : ;
endif

#-- end of make_header ------------------


ifeq ($(INSTALLAREA),)
installarea = $(CMTINSTALLAREA)
else
ifeq ($(findstring `,$(INSTALLAREA)),`)
installarea = $(shell $(subst `,, $(INSTALLAREA)))
else
installarea = $(INSTALLAREA)
endif
endif

install_dir = ${installarea}/share/AtlantisJava/img

install_img :: install_imginstall ;

install :: install_imginstall ;

install_imgclean :: install_imguninstall

uninstall :: install_imguninstall


# This is to avoid error in case there are no files to install
# Ideally, the fragment should not be used without files to install,
# and this line should be dropped then
install_imginstall :: ;

right_gif_dependencies = ../img/right.gif
atlantis_log_gif_dependencies = ../img/atlantis_log.gif
cursor_zoom_32x32_gif_dependencies = ../img/cursor_zoom_32x32.gif
cursor_DnD_valid_32x32_gif_dependencies = ../img/cursor_DnD_valid_32x32.gif
cursor_DnD_invalid_64x64_gif_dependencies = ../img/cursor_DnD_invalid_64x64.gif
cursor_fisheye_bw_64x64_gif_dependencies = ../img/cursor_fisheye_bw_64x64.gif
cursor_rotate_bw_64x64_gif_dependencies = ../img/cursor_rotate_bw_64x64.gif
cursor_pick_64x64_gif_dependencies = ../img/cursor_pick_64x64.gif
minerva_log_gif_dependencies = ../img/minerva_log.gif
cursor_fisheye_64x64_gif_dependencies = ../img/cursor_fisheye_64x64.gif
cursor_rotate_64x64_gif_dependencies = ../img/cursor_rotate_64x64.gif
cursor_DnD_invalid_32x32_gif_dependencies = ../img/cursor_DnD_invalid_32x32.gif
cursor_rectsel_64x64_gif_dependencies = ../img/cursor_rectsel_64x64.gif
cursor_move_64x64_gif_dependencies = ../img/cursor_move_64x64.gif
cursor_fisheye_bw_32x32_gif_dependencies = ../img/cursor_fisheye_bw_32x32.gif
cursor_zoom_bw_64x64_gif_dependencies = ../img/cursor_zoom_bw_64x64.gif
cursor_sync_64x64_gif_dependencies = ../img/cursor_sync_64x64.gif
cursor_rotate_bw_32x32_gif_dependencies = ../img/cursor_rotate_bw_32x32.gif
cursor_pick_32x32_gif_dependencies = ../img/cursor_pick_32x32.gif
atlantis_icon_gif_dependencies = ../img/atlantis_icon.gif
cursor_fisheye_32x32_gif_dependencies = ../img/cursor_fisheye_32x32.gif
left_gif_dependencies = ../img/left.gif
cursor_zoom_64x64_gif_dependencies = ../img/cursor_zoom_64x64.gif
cursor_rotate_32x32_gif_dependencies = ../img/cursor_rotate_32x32.gif
cursor_DnD_valid_64x64_gif_dependencies = ../img/cursor_DnD_valid_64x64.gif
cursor_rectsel_32x32_gif_dependencies = ../img/cursor_rectsel_32x32.gif
cursor_move_32x32_gif_dependencies = ../img/cursor_move_32x32.gif
cursor_zoom_bw_32x32_gif_dependencies = ../img/cursor_zoom_bw_32x32.gif
cursor_sync_32x32_gif_dependencies = ../img/cursor_sync_32x32.gif
interaction_synccursors_png_dependencies = ../img/interaction_synccursors.png
toolbar_previous_png_dependencies = ../img/toolbar_previous.png
atlas_logo_big_png_dependencies = ../img/atlas_logo_big.png
interaction_rubberband_png_dependencies = ../img/interaction_rubberband.png
interaction_skew_png_dependencies = ../img/interaction_skew.png
mode_loop_png_dependencies = ../img/mode_loop.png
mode_random_on_png_dependencies = ../img/mode_random_on.png
downarrow_png_dependencies = ../img/downarrow.png
toolbar_open_png_dependencies = ../img/toolbar_open.png
mode_random_png_dependencies = ../img/mode_random.png
interaction_pick_png_dependencies = ../img/interaction_pick.png
interaction_scale_png_dependencies = ../img/interaction_scale.png
interaction_rubberbandyx_png_dependencies = ../img/interaction_rubberbandyx.png
atlas_logo_shadow_png_dependencies = ../img/atlas_logo_shadow.png
uparrow_png_dependencies = ../img/uparrow.png
interaction_clock_png_dependencies = ../img/interaction_clock.png
interaction_fisheye_png_dependencies = ../img/interaction_fisheye.png
interaction_rotate_png_dependencies = ../img/interaction_rotate.png
toolbar_next_png_dependencies = ../img/toolbar_next.png
interaction_zmr_png_dependencies = ../img/interaction_zmr.png
mode_loop_on_png_dependencies = ../img/mode_loop_on.png
mode_sequential_on_png_dependencies = ../img/mode_sequential_on.png
mode_sequential_png_dependencies = ../img/mode_sequential.png
interaction_zr_png_dependencies = ../img/interaction_zr.png
atlas_jpg_dependencies = ../img/atlas.jpg


install_imginstall :: ${install_dir}/right.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/right.gif :: ../img/right.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/right.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "right.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/right.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/right.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "right.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/atlantis_log.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/atlantis_log.gif :: ../img/atlantis_log.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/atlantis_log.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "atlantis_log.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/atlantis_log.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/atlantis_log.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "atlantis_log.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_zoom_32x32.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_zoom_32x32.gif :: ../img/cursor_zoom_32x32.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_zoom_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_zoom_32x32.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_zoom_32x32.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_zoom_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_zoom_32x32.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_DnD_valid_32x32.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_DnD_valid_32x32.gif :: ../img/cursor_DnD_valid_32x32.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_DnD_valid_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_DnD_valid_32x32.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_DnD_valid_32x32.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_DnD_valid_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_DnD_valid_32x32.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_DnD_invalid_64x64.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_DnD_invalid_64x64.gif :: ../img/cursor_DnD_invalid_64x64.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_DnD_invalid_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_DnD_invalid_64x64.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_DnD_invalid_64x64.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_DnD_invalid_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_DnD_invalid_64x64.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_fisheye_bw_64x64.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_fisheye_bw_64x64.gif :: ../img/cursor_fisheye_bw_64x64.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_fisheye_bw_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_fisheye_bw_64x64.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_fisheye_bw_64x64.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_fisheye_bw_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_fisheye_bw_64x64.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_rotate_bw_64x64.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_rotate_bw_64x64.gif :: ../img/cursor_rotate_bw_64x64.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_rotate_bw_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_rotate_bw_64x64.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_rotate_bw_64x64.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_rotate_bw_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_rotate_bw_64x64.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_pick_64x64.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_pick_64x64.gif :: ../img/cursor_pick_64x64.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_pick_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_pick_64x64.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_pick_64x64.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_pick_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_pick_64x64.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/minerva_log.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/minerva_log.gif :: ../img/minerva_log.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/minerva_log.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "minerva_log.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/minerva_log.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/minerva_log.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "minerva_log.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_fisheye_64x64.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_fisheye_64x64.gif :: ../img/cursor_fisheye_64x64.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_fisheye_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_fisheye_64x64.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_fisheye_64x64.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_fisheye_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_fisheye_64x64.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_rotate_64x64.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_rotate_64x64.gif :: ../img/cursor_rotate_64x64.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_rotate_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_rotate_64x64.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_rotate_64x64.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_rotate_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_rotate_64x64.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_DnD_invalid_32x32.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_DnD_invalid_32x32.gif :: ../img/cursor_DnD_invalid_32x32.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_DnD_invalid_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_DnD_invalid_32x32.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_DnD_invalid_32x32.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_DnD_invalid_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_DnD_invalid_32x32.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_rectsel_64x64.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_rectsel_64x64.gif :: ../img/cursor_rectsel_64x64.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_rectsel_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_rectsel_64x64.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_rectsel_64x64.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_rectsel_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_rectsel_64x64.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_move_64x64.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_move_64x64.gif :: ../img/cursor_move_64x64.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_move_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_move_64x64.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_move_64x64.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_move_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_move_64x64.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_fisheye_bw_32x32.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_fisheye_bw_32x32.gif :: ../img/cursor_fisheye_bw_32x32.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_fisheye_bw_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_fisheye_bw_32x32.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_fisheye_bw_32x32.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_fisheye_bw_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_fisheye_bw_32x32.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_zoom_bw_64x64.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_zoom_bw_64x64.gif :: ../img/cursor_zoom_bw_64x64.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_zoom_bw_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_zoom_bw_64x64.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_zoom_bw_64x64.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_zoom_bw_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_zoom_bw_64x64.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_sync_64x64.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_sync_64x64.gif :: ../img/cursor_sync_64x64.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_sync_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_sync_64x64.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_sync_64x64.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_sync_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_sync_64x64.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_rotate_bw_32x32.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_rotate_bw_32x32.gif :: ../img/cursor_rotate_bw_32x32.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_rotate_bw_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_rotate_bw_32x32.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_rotate_bw_32x32.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_rotate_bw_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_rotate_bw_32x32.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_pick_32x32.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_pick_32x32.gif :: ../img/cursor_pick_32x32.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_pick_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_pick_32x32.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_pick_32x32.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_pick_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_pick_32x32.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/atlantis_icon.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/atlantis_icon.gif :: ../img/atlantis_icon.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/atlantis_icon.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "atlantis_icon.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/atlantis_icon.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/atlantis_icon.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "atlantis_icon.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_fisheye_32x32.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_fisheye_32x32.gif :: ../img/cursor_fisheye_32x32.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_fisheye_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_fisheye_32x32.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_fisheye_32x32.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_fisheye_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_fisheye_32x32.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/left.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/left.gif :: ../img/left.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/left.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "left.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/left.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/left.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "left.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_zoom_64x64.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_zoom_64x64.gif :: ../img/cursor_zoom_64x64.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_zoom_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_zoom_64x64.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_zoom_64x64.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_zoom_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_zoom_64x64.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_rotate_32x32.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_rotate_32x32.gif :: ../img/cursor_rotate_32x32.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_rotate_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_rotate_32x32.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_rotate_32x32.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_rotate_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_rotate_32x32.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_DnD_valid_64x64.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_DnD_valid_64x64.gif :: ../img/cursor_DnD_valid_64x64.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_DnD_valid_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_DnD_valid_64x64.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_DnD_valid_64x64.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_DnD_valid_64x64.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_DnD_valid_64x64.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_rectsel_32x32.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_rectsel_32x32.gif :: ../img/cursor_rectsel_32x32.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_rectsel_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_rectsel_32x32.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_rectsel_32x32.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_rectsel_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_rectsel_32x32.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_move_32x32.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_move_32x32.gif :: ../img/cursor_move_32x32.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_move_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_move_32x32.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_move_32x32.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_move_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_move_32x32.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_zoom_bw_32x32.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_zoom_bw_32x32.gif :: ../img/cursor_zoom_bw_32x32.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_zoom_bw_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_zoom_bw_32x32.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_zoom_bw_32x32.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_zoom_bw_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_zoom_bw_32x32.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/cursor_sync_32x32.gif
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/cursor_sync_32x32.gif :: ../img/cursor_sync_32x32.gif
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_sync_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "cursor_sync_32x32.gif" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/cursor_sync_32x32.gif : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/cursor_sync_32x32.gif`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "cursor_sync_32x32.gif" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/interaction_synccursors.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/interaction_synccursors.png :: ../img/interaction_synccursors.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/interaction_synccursors.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "interaction_synccursors.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/interaction_synccursors.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/interaction_synccursors.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "interaction_synccursors.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/toolbar_previous.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/toolbar_previous.png :: ../img/toolbar_previous.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/toolbar_previous.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "toolbar_previous.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/toolbar_previous.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/toolbar_previous.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "toolbar_previous.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/atlas_logo_big.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/atlas_logo_big.png :: ../img/atlas_logo_big.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/atlas_logo_big.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "atlas_logo_big.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/atlas_logo_big.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/atlas_logo_big.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "atlas_logo_big.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/interaction_rubberband.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/interaction_rubberband.png :: ../img/interaction_rubberband.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/interaction_rubberband.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "interaction_rubberband.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/interaction_rubberband.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/interaction_rubberband.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "interaction_rubberband.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/interaction_skew.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/interaction_skew.png :: ../img/interaction_skew.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/interaction_skew.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "interaction_skew.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/interaction_skew.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/interaction_skew.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "interaction_skew.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/mode_loop.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/mode_loop.png :: ../img/mode_loop.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/mode_loop.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "mode_loop.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/mode_loop.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/mode_loop.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "mode_loop.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/mode_random_on.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/mode_random_on.png :: ../img/mode_random_on.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/mode_random_on.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "mode_random_on.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/mode_random_on.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/mode_random_on.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "mode_random_on.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/downarrow.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/downarrow.png :: ../img/downarrow.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/downarrow.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "downarrow.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/downarrow.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/downarrow.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "downarrow.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/toolbar_open.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/toolbar_open.png :: ../img/toolbar_open.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/toolbar_open.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "toolbar_open.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/toolbar_open.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/toolbar_open.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "toolbar_open.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/mode_random.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/mode_random.png :: ../img/mode_random.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/mode_random.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "mode_random.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/mode_random.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/mode_random.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "mode_random.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/interaction_pick.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/interaction_pick.png :: ../img/interaction_pick.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/interaction_pick.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "interaction_pick.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/interaction_pick.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/interaction_pick.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "interaction_pick.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/interaction_scale.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/interaction_scale.png :: ../img/interaction_scale.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/interaction_scale.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "interaction_scale.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/interaction_scale.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/interaction_scale.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "interaction_scale.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/interaction_rubberbandyx.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/interaction_rubberbandyx.png :: ../img/interaction_rubberbandyx.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/interaction_rubberbandyx.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "interaction_rubberbandyx.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/interaction_rubberbandyx.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/interaction_rubberbandyx.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "interaction_rubberbandyx.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/atlas_logo_shadow.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/atlas_logo_shadow.png :: ../img/atlas_logo_shadow.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/atlas_logo_shadow.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "atlas_logo_shadow.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/atlas_logo_shadow.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/atlas_logo_shadow.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "atlas_logo_shadow.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/uparrow.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/uparrow.png :: ../img/uparrow.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/uparrow.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "uparrow.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/uparrow.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/uparrow.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "uparrow.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/interaction_clock.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/interaction_clock.png :: ../img/interaction_clock.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/interaction_clock.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "interaction_clock.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/interaction_clock.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/interaction_clock.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "interaction_clock.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/interaction_fisheye.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/interaction_fisheye.png :: ../img/interaction_fisheye.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/interaction_fisheye.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "interaction_fisheye.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/interaction_fisheye.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/interaction_fisheye.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "interaction_fisheye.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/interaction_rotate.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/interaction_rotate.png :: ../img/interaction_rotate.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/interaction_rotate.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "interaction_rotate.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/interaction_rotate.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/interaction_rotate.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "interaction_rotate.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/toolbar_next.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/toolbar_next.png :: ../img/toolbar_next.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/toolbar_next.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "toolbar_next.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/toolbar_next.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/toolbar_next.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "toolbar_next.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/interaction_zmr.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/interaction_zmr.png :: ../img/interaction_zmr.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/interaction_zmr.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "interaction_zmr.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/interaction_zmr.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/interaction_zmr.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "interaction_zmr.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/mode_loop_on.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/mode_loop_on.png :: ../img/mode_loop_on.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/mode_loop_on.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "mode_loop_on.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/mode_loop_on.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/mode_loop_on.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "mode_loop_on.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/mode_sequential_on.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/mode_sequential_on.png :: ../img/mode_sequential_on.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/mode_sequential_on.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "mode_sequential_on.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/mode_sequential_on.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/mode_sequential_on.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "mode_sequential_on.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/mode_sequential.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/mode_sequential.png :: ../img/mode_sequential.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/mode_sequential.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "mode_sequential.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/mode_sequential.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/mode_sequential.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "mode_sequential.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/interaction_zr.png
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/interaction_zr.png :: ../img/interaction_zr.png
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/interaction_zr.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "interaction_zr.png" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/interaction_zr.png : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/interaction_zr.png`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "interaction_zr.png" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_imginstall :: ${install_dir}/atlas.jpg
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/atlas.jpg :: ../img/atlas.jpg
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/atlas.jpg`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "atlas.jpg" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../img/atlas.jpg : ;

install_imguninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../img/atlas.jpg`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "atlas.jpg" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi
#-- start of cleanup_header --------------

clean :: install_imgclean ;
#	@cd .

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(install_img.make) $@: No rule for such target" >&2
else
.DEFAULT::
	$(error PEDANTIC: $@: No rule for such target)
endif

install_imgclean ::
#-- end of cleanup_header ---------------
